#include <iostream>
using namespace std;

const int MAX = 20001;
bool rows[MAX], cols[MAX], diag1[2*MAX], diag2[2*MAX];

int main ()
{
  int X, Y, N;
  while ( cin >> X >> Y >> N )
  {
    if ( X == 0 &&
	 Y == 0 &&
	 N == 0)
      break;
    
    for ( int i = 0; i < max(X,Y); i++ )
    {
      cols[i] = true;
      rows[i] = true;
    }
    for ( int i = 0; i < 2*max(X,Y); i++ )
    {
      diag1[i] = true;
      diag2[i] = true;
    }

    for ( int i = 0; i < N; i++ )
    {
      int qX, qY;
      cin >> qX >> qY;
      qX--;qY--;
      rows[qY] = false;
      cols[qX] = false;
      diag1[X - qX + qY]  = false;
      diag2[qX + qY]  = false;
    }

    long long res = 0;
    for ( int i = 0; i < X; i++ )
      if ( cols[i] )
        for ( int j = 0; j < Y; j++ )
          if ( rows[j] &&
               diag1[X - i + j] &&
	       diag2[i + j ] ){
	   res++;
	   //cout << i << " " << j << "\n";
	}
    cout << res << "\n";
  }

  return 0;
}